Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

DataObjectManager Module

Discuss the DataObjectManager module, and the related ImageGallery module.

Moderators: martimiz, UncleCheese, Sean, biapar, Willr, Ingo, swaiba, simon_w

Bug Reports


Reply

297 Posts   49627 Views

Avatar
owaiskl

11 March 2010 at 12:02pm Community Member, 16 Posts

Yep, it's got me stumped too. btw I just updated SS to 2.3.6 and it didn't affect anything....

do you want ftp access or something? take a look around?

Avatar
abes

15 March 2010 at 11:57am Community Member, 11 Posts

See. [url]http://open.silverstripe.org/ticket/5194[/url]

Same problem occurs in ManyManyDataObjectManager, too, cause the constructor seems to be just copied.

Avatar
owaiskl

16 March 2010 at 4:42am Community Member, 16 Posts

So how do I use the information provided in the ManyManyDataObjectManager bug to fix the problem I'm having?

Avatar
UncleCheese

16 March 2010 at 6:30am 4085 Posts

This patch is in.

Avatar
dospuntocero

19 March 2010 at 8:44am Community Member, 54 Posts

I have found that you cant order DataObjects using drag&drop inside nested doms... :(.
is it possible to make this to work Uncle? thanks in advance!!!

Avatar
dospuntocero

19 March 2010 at 9:05am Community Member, 54 Posts

another thing that its really weird is the tinyMCEField. for some reason stops to work after some time without change in the code... not sure how to make it work again. it just dissapeared

Avatar
UncleCheese

19 March 2010 at 1:19pm 4085 Posts

It's not just nested doms.. it's all of them. I've been banging my head trying to figure out why. The elements sort fine, but the update function doesn't run. Just saw a tweet come out saying that beta 2 upgraded to jQuery 1.4.2.. that explains a lot! Should have this figured out soon.

Avatar
splatEric

19 March 2010 at 11:37pm (Last edited: 20 March 2010 3:56am), Community Member, 15 Posts

----
update r375 as listed below by UncleCheese resolves this issue.
----

Hi,

First off, as many have people have said UncleCheese, loving your work!! I've just installed DOM and have been having trouble getting the sort function to work. I noticed there's been some discussion around various versions and the like, and I was wondering whether I was using the right version. I've installed rc380, but am currently working with 2.3.6, rather than the beta, as I wanted to work with the stable build for now.

Is rc380 compatible with the 2.3.x versions, or am I going to have to shift to a beta (or find an older version of DOM?).

FYI the error I get is as follows:

$container.find("ul[class^='sortable-']").sortable is not a function
[Break on this error] handle : ($('.list-holder').hasClass('grid') ? '.handle' : null)

I have also experienced a similar problem with the event module, so I am wondering if there's something else I've missed ... but wanted to check I wasn't causing trouble for myself just with the versions before speculating further ...